8 Replies Latest reply: Dec 10, 2012 9:53 AM by a brody
PoisonButterfly Level 1 Level 1 (0 points)

I have a PowerBook G4 and a G5. Both work fine. However, I'm running into the issue of my OS no longer being supported and therefore can't do certain things and my kids can't even play roblox. So, basically I'm stuck. Two perfectly fine computers pretty much fixing to be high priced dust collectors.

 

My question is, since Leopard is the last OS that I can install on either because the processor is a PPC. Can I just buy a new processor and then buy an OS that will continue to be supported or continue to be upgradable?

 

IF SO, what is the cost?

 

Not a very happy customer atm,

KG4IRN


G5, Mac OS X (10.4.9), I also own a Power Book G4
  • 1. Re: OS X 10.4.11 (PowerBook G4 & G5) not supported
    Kappy Level 10 Level 10 (226,855 points)

    You cannot turn those old possums into new roadrunners. What you can do is find a local charity to whom you can donate them and take a little tax deduction. Then break into that piggybank where you've been saving for a new Yaesu 1000 and buy some new computers.

  • 2. Re: OS X 10.4.11 (PowerBook G4 & G5) not supported
    Allan Eckert Level 8 Level 8 (41,525 points)

    No. The only processor to support the newer versions of OS X are Intel rather then PowerPC which your Macs currently have. The Intel processors would need a totaly different set of chips for support. There is no way that you can change all of that in those Macs.

     

    Allan

  • 3. Re: OS X 10.4.11 (PowerBook G4 & G5) not supported
    britny Level 1 Level 1 (125 points)

    i just cringe sometimes when people say that the best use for some of these older machines is to donate them to charity. maybe i cringe is because for most people this is true. but there are others that really like these things and tend to focus more on what these old machines can do and less on what they can't do. in all fairness g4 and g5 machines even when they were new were never marketed as gaming machines. and for online gaming, they never will be.

     

    poison, i have to agree with you. for some tasks these things become obsolete way too fast.

  • 4. Re: OS X 10.4.11 (PowerBook G4 & G5) not supported
    Michael Wasley Level 5 Level 5 (6,810 points)

    PoisonButterfly wrote:

     

    I have a PowerBook G4 and a G5. Both work fine. However, I'm running into the issue of my OS no longer being supported and therefore can't do certain things

    Specifically what can't you do?

  • 5. Re: OS X 10.4.11 (PowerBook G4 & G5) not supported
    a brody Level 9 Level 9 (63,295 points)

    As others have said, you can't change the processor in those machines.  Newer machines can afford you to see:

     

    1. The latest webpages if they require newer Flash or Silverlight standards.  HTML and Javascript based webpages work fine, and older versions of Flash work fine.

    2. The opportunity to run the latest versions of Microsoft Windows natively.

    3. Past a certain date newer machines do not support PowerPC applications.

    4. No Intel Mac supports Classic or Mac OS 9.

    5. iCloud.  However many web hosts support FTP and older versions of Chronosync for similar Mac/Cloud integration. You need at minimum a Core2Duo Mac for 10.7.2 support, a CoreDuo or CoreSolo Mac won't support either. 10.8 support for built-in notifications support, but that is even more limited which machines will run it.

    6. No Mac can run a Mac operating system older than its last hardware refresh.

    Consider your options carefully, reading this tip and the others here:

    https://discussions.apple.com/docs/DOC-2275

    https://discussions.apple.com/docs/DOC-2455

    https://discussions.apple.com/docs/DOC-2465

    and

    https://discussions.apple.com/docs/DOC-3761

  • 6. Re: OS X 10.4.11 (PowerBook G4 & G5) not supported
    PoisonButterfly Level 1 Level 1 (0 points)

    I KNOW that my laptop and my G5 were NOT marketed as gaming machines. However, I also know that MANY people ALSO use them to "game", whether it be online games such as "roblox" or first person shooter games such as Unreal Tournament 99. Those that I have met personally who use MACs for gaming LOVE it.

     

    I too LOVE both my MAC laptop and my G5. I will ALWAYS perfer them for designing over a PC ANY day. With that said, though both are considered dinos... they still work perfectly fine as long as I'm not required to update browsers or flash, anything like that or play any kind of game online...including online couponing.

     

    So, both my laptop and G5 have been demoted for design use ONLY and my current design software is outdated too... but once again I can only update those so far as well. Provided  the software needed is still available.

     

    I CAN'T afford NEW computers. What is it with this world and always looking for the latest and greatest stuff. All you're doing is filling "their" pockets and putting yourself into debt over stuff that's outdated by the time you get it home lol! WHY can't people be happy with what they HAVE. WHY must people constantly be irresponsible and put themselves in debt over such stuff.

     

    Also, WHY donate when they're going to run into the same issues?

     

    WHY fix what isn't broken or in this case REPLACE what isn't broken? I was just hoping to put my machines to use for other things than design. I have three children... two PCs for gaming, and my two MACs. I was hoping to limit or do away with the fighting over computers in our home lol OH WELL.

     

     

     

    Thanks everyone for you comments... *sighs*

  • 7. Re: OS X 10.4.11 (PowerBook G4 & G5) not supported
    Limnos Level 8 Level 8 (38,475 points)

    What is it with this world and always looking for the latest and greatest stuff. All you're doing is filling "their" pockets and putting yourself into debt over stuff that's outdated by the time you get it home lol! WHY can't people be happy with what they HAVE. WHY must people constantly be irresponsible and put themselves in debt over such stuff.

    Good philosphical questions.  However, companies will continue to market and push newer items unless people refuse to buy them.  For-profit companies are going to optimize sales.  Right now (according to reports I have seen elsewhere on the forums) only 5% or so of computer owners still run system versions older than the last two or 3 generations. We don't exactly represent a market force, especially since we also clearly aren't the ones buying things.  You'd have to convince the other 95% to decide they don't want a device that's a fraction of an inch thick that can play movies anywhere you go, etc.  Kind of a hard sell, especially to the younger generation who cannot imagine having to hunt for a payphone.

  • 8. Re: OS X 10.4.11 (PowerBook G4 & G5) not supported
    a brody Level 9 Level 9 (63,295 points)

    Believe it or not, you can still find in the bargain aisle at K-Mart old Mac software that won't run on new machines.  You have to know what you are looking for.   PowerPC, with a minimum of 10.1 to 10.5.  Universal applications will work as well.     See my used or refurbished Mac FAQ for more resources*:  http://www.macmaps.com/usedrefurbished.html  And lastly, don't hesitate to locate a nearby user group, where other users of older Macs might have old software they want to give up.

     

    http://www.apple.com/usergroups/